Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/config/JwtAuthFilter.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/config/JwtAuthFilter.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/config/JwtAuthFilter.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -44,8 +44,4 @@
                 token.setDetails(new WebAuthenticationDetailsSource().buildDetails(request));
 
-//                SecurityContext securityContext = SecurityContextHolder.createEmptyContext();
-//                securityContext.setAuthentication(token);
-//                SecurityContextHolder.setContext(securityContext);
-
                 SecurityContextHolder.getContext().setAuthentication(token);
             }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/config/SecurityConfiguration.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/config/SecurityConfiguration.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/config/SecurityConfiguration.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -2,5 +2,4 @@
 
 import lombok.RequiredArgsConstructor;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.Role;
 import org.springframework.context.annotation.Bean;
 import org.springframework.context.annotation.Configuration;
@@ -25,5 +24,4 @@
 
     private final JwtAuthFilter jwtAuthFilter;
-    //private final UserService userService;
     private final UserDetailsService userDetailsService;
 
@@ -31,9 +29,7 @@
     public SecurityFilterChain securityFilterChain(HttpSecurity http) throws Exception {
         http.csrf(AbstractHttpConfigurer::disable)
-                .authorizeHttpRequests(request -> request.requestMatchers("/api/auth/**")
-                        .permitAll()
-                        .requestMatchers("/api/admin").hasAnyAuthority(Role.ROLE_ADMIN.name())
-                        .requestMatchers("/api/job-seeker").hasAnyAuthority(Role.ROLE_JOBSEEKER.name())
-                        .requestMatchers("/api/recruiter").hasAnyAuthority(Role.ROLE_RECRUITER.name())
+                .authorizeHttpRequests(request -> request
+                        .requestMatchers("/api/job-advertisements/all","/api/job-advertisements/view/**","/api/recruiter/info/**", "/api/auth/**").permitAll()
+                        //.requestMatchers("/api/job-advertisements/**").hasAnyAuthority(Role.ROLE_RECRUITER.name())
                         .anyRequest().authenticated())
                 .sessionManagement(manager -> manager.sessionCreationPolicy(SessionCreationPolicy.STATELESS))
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AdminController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AdminController.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AdminController.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -2,6 +2,4 @@
 
 import lombok.RequiredArgsConstructor;
-import org.springframework.http.ResponseEntity;
-import org.springframework.web.bind.annotation.GetMapping;
 import org.springframework.web.bind.annotation.RequestMapping;
 import org.springframework.web.bind.annotation.RestController;
@@ -12,8 +10,3 @@
 public class AdminController {
 
-
-    @GetMapping
-    public ResponseEntity<String> sayHello() {
-        return ResponseEntity.ok("Hi Admin");
-    }
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AuthController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AuthController.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AuthController.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -12,8 +12,8 @@
 import org.springframework.web.bind.annotation.*;
 
-@CrossOrigin(origins = "*")
 @RestController
 @RequestMapping("/api/auth")
 @AllArgsConstructor
+@CrossOrigin(origins = "*")
 public class AuthController {
 
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobAdvertisementController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobAdvertisementController.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobAdvertisementController.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,58 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.controllers;
+
+
+import lombok.AllArgsConstructor;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdvertisementDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdDetailsDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.JobAdvertisement;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.JobAdvertisementService;
+import org.springframework.http.HttpStatus;
+import org.springframework.http.ResponseEntity;
+import org.springframework.web.bind.annotation.*;
+
+import java.util.List;
+
+@RestController
+@RequestMapping("/api/job-advertisements")
+@AllArgsConstructor
+@CrossOrigin(origins = "*")
+public class JobAdvertisementController {
+
+    private final JobAdvertisementService jobAdvertisementService;
+
+    @PostMapping("/add")
+    public ResponseEntity<?> addJobAdvertisement(@RequestBody JobAdvertisementDTO jobAdvertisementDTO) {
+        JobAdDetailsDTO jobAdDetailsDTO = jobAdvertisementService.addJobAdvertisement(jobAdvertisementDTO);
+        return new ResponseEntity<>(jobAdDetailsDTO, HttpStatus.OK);
+    }
+
+    @PutMapping("/edit/{id}")
+    public ResponseEntity<?> editJobAdvertisement(@PathVariable Long id, @RequestBody JobAdvertisementDTO JobAdvertisementDTO) {
+        JobAdDetailsDTO jobAdDetailsDTO = jobAdvertisementService.editJobAdvertisement(id, JobAdvertisementDTO);
+        return new ResponseEntity<>(jobAdDetailsDTO, HttpStatus.OK);
+    }
+
+    @DeleteMapping("/delete/{id}")
+    public ResponseEntity<?> deleteJobAdvertisement(@PathVariable Long id) {
+        jobAdvertisementService.deleteJobAdvertisement(id);
+        return new ResponseEntity<>("Job Advertisement with id: "+ id + "deleted.", HttpStatus.OK);
+    }
+
+    @GetMapping("/recruiter/{id}")
+    public ResponseEntity<?> findALlJobAdvertisementsByRecruiterId(@PathVariable Long id) {
+        List<JobAdDetailsDTO> jobAdDetailsDTOS = jobAdvertisementService.findAllJobAdvertisementsByRecruiterId(id);
+        return new ResponseEntity<>(jobAdDetailsDTOS, HttpStatus.OK);
+    }
+
+    @GetMapping("/all")
+    public ResponseEntity<?> findAllJobAdvertisements() {
+        List<JobAdDetailsDTO> jobAdDetailsDTOS = jobAdvertisementService.findAllJobAdvertisements();
+        return new ResponseEntity<>(jobAdDetailsDTOS, HttpStatus.OK);
+    }
+
+    @GetMapping("/view/{id}")
+    public ResponseEntity<?> findJobAdvertisementById(@PathVariable Long id) {
+        JobAdDetailsDTO jobAdDetailsDTO = jobAdvertisementService.findJobAdvertisementById(id);
+        return new ResponseEntity<>(jobAdDetailsDTO, HttpStatus.OK);
+    }
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobSeekerController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobSeekerController.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobSeekerController.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -2,5 +2,6 @@
 
 
-import lombok.RequiredArgsConstructor;
+import lombok.AllArgsConstructor;
+import org.springframework.web.bind.annotation.CrossOrigin;
 import org.springframework.web.bind.annotation.RequestMapping;
 import org.springframework.web.bind.annotation.RestController;
@@ -8,5 +9,6 @@
 @RestController
 @RequestMapping("/api/job-seeker")
-@RequiredArgsConstructor
+@AllArgsConstructor
+@CrossOrigin(origins = "*")
 public class JobSeekerController {
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/RecruiterController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/RecruiterController.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/RecruiterController.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -1,18 +1,23 @@
 package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.controllers;
 
-import lombok.RequiredArgsConstructor;
+import lombok.AllArgsConstructor;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterDetailsDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.RecruiterService;
+import org.springframework.http.HttpStatus;
 import org.springframework.http.ResponseEntity;
-import org.springframework.web.bind.annotation.GetMapping;
-import org.springframework.web.bind.annotation.RequestMapping;
-import org.springframework.web.bind.annotation.RestController;
+import org.springframework.web.bind.annotation.*;
 
 @RestController
 @RequestMapping("/api/recruiter")
-@RequiredArgsConstructor
+@AllArgsConstructor
+@CrossOrigin(origins = "*")
 public class RecruiterController {
 
-    @GetMapping
-    public ResponseEntity<String> sayHello() {
-        return ResponseEntity.ok("Hi Recruiter");
+    private final RecruiterService recruiterService;
+
+    @GetMapping("/info/{id}")
+    public ResponseEntity<?> getRecruiterDetailsById(@PathVariable("id") Long id) {
+        RecruiterDetailsDTO recruiterDetailsDTO = recruiterService.getRecruiterDetailsById(id);
+        return new ResponseEntity<>(recruiterDetailsDTO, HttpStatus.OK);
     }
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/EmploymentStatus.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/EmploymentStatus.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/EmploymentStatus.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,5 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations;
+
+public enum EmploymentStatus {
+    FULL_TIME, PART_TIME
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/JobType.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/JobType.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/enumerations/JobType.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,5 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations;
+
+public enum JobType {
+    JOB, INTERNSHIP
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdDetailsDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdDetailsDTO.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdDetailsDTO.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,21 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO;
+
+import lombok.AllArgsConstructor;
+import lombok.Data;
+
+@Data
+@AllArgsConstructor
+public class JobAdDetailsDTO {
+    private String recruiterName;
+    private Long recruiterId;
+    private final Long id;
+    private String title;
+    private String description;
+    private String industry;
+    private int startingSalary;
+    private String postedOn;
+    private String activeUntil;
+    private boolean isActive;
+    private String jobType;
+    private String employmentStatus;
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdvertisementDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdvertisementDTO.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/DTO/JobAdvertisementDTO.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,21 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO;
+
+import lombok.AllArgsConstructor;
+import lombok.Data;
+import lombok.NoArgsConstructor;
+
+import java.util.Date;
+
+@Data
+@AllArgsConstructor
+@NoArgsConstructor
+public class JobAdvertisementDTO {
+    private String email;
+    private String title;
+    private String description;
+    private String industry;
+    private int startingSalary;
+    private String activeUntil;
+    private String jobType;
+    private String employmentStatus;
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/JobAdvertisement.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/JobAdvertisement.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/job_advertisements/JobAdvertisement.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,79 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements;
+
+import jakarta.persistence.*;
+import lombok.AllArgsConstructor;
+import lombok.Data;
+import lombok.NoArgsConstructor;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.EmploymentStatus;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.JobType;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdDetailsDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.User;
+
+import java.time.LocalDate;
+import java.time.LocalDateTime;
+
+@Entity
+@NoArgsConstructor
+@AllArgsConstructor
+@Data
+@Table(name = "job_advertisements")
+public class JobAdvertisement {
+
+    public JobAdvertisement(User recruiter, String title, String description, String industry, int startingSalary, LocalDate activeUntil, JobType jobType, EmploymentStatus employmentStatus) {
+        this.recruiter = recruiter;
+        this.title = title;
+        this.description = description;
+        this.industry = industry;
+        this.startingSalary = startingSalary;
+        this.postedOn = LocalDateTime.now();
+        this.activeUntil = activeUntil;
+        this.isActive = true;
+        this.jobType = jobType;
+        this.employmentStatus = employmentStatus;
+    }
+
+    @Id
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    private Long id;
+
+    @ManyToOne
+    private User recruiter;
+
+    private String title;
+    private String description;
+    private String industry;
+    private int startingSalary;
+    private LocalDateTime postedOn;
+    private LocalDate activeUntil;
+    private boolean isActive;
+
+    @Enumerated(EnumType.STRING)
+    JobType jobType;
+
+    @Enumerated(EnumType.STRING)
+    EmploymentStatus employmentStatus;
+
+    public boolean isJobAdActive() {
+        LocalDate date = LocalDate.now();
+        return date.isBefore(activeUntil);
+    }
+
+    public static JobAdDetailsDTO mapToJobAdDetailsDTO(JobAdvertisement jobAdvertisement) {
+
+        return new JobAdDetailsDTO(
+                jobAdvertisement.getRecruiter().getName(),
+                jobAdvertisement.getRecruiter().getId(),
+                jobAdvertisement.getId(),
+                jobAdvertisement.getTitle(),
+                jobAdvertisement.getDescription(),
+                jobAdvertisement.getIndustry(),
+                jobAdvertisement.getStartingSalary(),
+                jobAdvertisement.getPostedOn().toString(),
+                jobAdvertisement.getActiveUntil().toString(),
+                jobAdvertisement.isJobAdActive(),
+                jobAdvertisement.getJobType().name(),
+                jobAdvertisement.getEmploymentStatus().name()
+        );
+    }
+
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/Admin.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/Admin.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/Admin.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -4,20 +4,19 @@
 import jakarta.persistence.Table;
 import lombok.AllArgsConstructor;
-import lombok.Builder;
 import lombok.Data;
 import lombok.NoArgsConstructor;
 
 @Entity
-//@Data
-//@NoArgsConstructor
-//@AllArgsConstructor
-//@Builder
+@Data
+@NoArgsConstructor
 @Table(name = "admins")
 public class Admin extends User {
+
+//    private String name;
+//    private String surname;
+
     @Override
     public String getName() {
         return "Admin";
     }
-//    private String name;
-//    private String surname;
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/JwtAuthResponse.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/JwtAuthResponse.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/JwtAuthResponse.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -10,4 +10,5 @@
 @NoArgsConstructor
 public class JwtAuthResponse {
+    private Long id;
     private String email;
     private String name;
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/RecruiterDetailsDTO.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/RecruiterDetailsDTO.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/DTO/RecruiterDetailsDTO.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,15 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO;
+
+import lombok.AllArgsConstructor;
+import lombok.Data;
+import lombok.NoArgsConstructor;
+
+@Data
+@AllArgsConstructor
+@NoArgsConstructor
+public class RecruiterDetailsDTO {
+    private String email;
+    private String companyName;
+    private String companyDescription;
+    private String phoneNumber;
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/JobSeeker.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/JobSeeker.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/JobSeeker.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -5,5 +5,4 @@
 import jakarta.persistence.Table;
 import lombok.AllArgsConstructor;
-import lombok.Builder;
 import lombok.Data;
 import lombok.NoArgsConstructor;
@@ -14,5 +13,4 @@
 @NoArgsConstructor
 @AllArgsConstructor
-@Builder
 @Table(name = "job_seekers")
 public class JobSeeker extends User {
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/User.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/User.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/User.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -15,9 +15,9 @@
 
 @Entity
-@Inheritance(strategy = InheritanceType.JOINED)
-@Table(name = "users")
 @Data
 @NoArgsConstructor
 @AllArgsConstructor
+@Inheritance(strategy = InheritanceType.JOINED)
+@Table(name = "users")
 public abstract class User implements UserDetails {
 
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/JobSeekerMapper.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/JobSeekerMapper.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/JobSeekerMapper.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -26,4 +26,3 @@
     }
 
-
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/RecruiterMapper.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/RecruiterMapper.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/models/users/mappers/RecruiterMapper.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -2,4 +2,5 @@
 
 import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterDetailsDTO;
 import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.Recruiter;
 
@@ -11,4 +12,13 @@
                 recruiter.getPassword(),
                 recruiter.getCompanyName(),
+                recruiter.getPhoneNumber()
+        );
+    }
+
+    public static RecruiterDetailsDTO mapToRecruiterDetailsDTO(Recruiter recruiter) {
+        return new RecruiterDetailsDTO(
+                recruiter.getEmail(),
+                recruiter.getCompanyName(),
+                recruiter.getCompanyDescription(),
                 recruiter.getPhoneNumber()
         );
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/repositories/JobAdvertisementRepository.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/repositories/JobAdvertisementRepository.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/repositories/JobAdvertisementRepository.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,11 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.repositories;
+
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.JobAdvertisement;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+import java.util.List;
+import java.util.Optional;
+
+public interface JobAdvertisementRepository extends JpaRepository<JobAdvertisement, Long> {
+    List<JobAdvertisement> findAllByRecruiterId(Long id);
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/repositories/RecruiterRepository.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/repositories/RecruiterRepository.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/repositories/RecruiterRepository.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -2,6 +2,8 @@
 
 import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.Recruiter;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.mappers.RecruiterMapper;
 import org.springframework.data.jpa.repository.JpaRepository;
 
 public interface RecruiterRepository extends JpaRepository<Recruiter, Long> {
+    Recruiter findRecruiterByEmail(String email);
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/AuthServiceImpl.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/AuthServiceImpl.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/AuthServiceImpl.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -31,5 +31,4 @@
     private final JwtService jwtService;
 
-
     @Override
     public User signUpJobSeeker(JobSeeker jobSeeker) {
@@ -50,5 +49,5 @@
         String refreshJwt = jwtService.generateRefreshToken(new HashMap<>(), user);
 
-        return new JwtAuthResponse(user.getEmail(), user.getName(), user.getRole().name(), jwt, refreshJwt);
+        return new JwtAuthResponse(user.getId(), user.getEmail(), user.getName(), user.getRole().name(), jwt, refreshJwt);
     }
     
@@ -59,5 +58,5 @@
             String jwt = jwtService.generateToken(user);
 
-            return new JwtAuthResponse(user.getEmail(), user.getName(), user.getRole().name(), jwt, refreshTokenRequest.getToken());
+            return new JwtAuthResponse(user.getId(), user.getEmail(), user.getName(), user.getRole().name(), jwt, refreshTokenRequest.getToken());
         }
         return null;
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/JobAdvertisementServiceImpl.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/JobAdvertisementServiceImpl.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/JobAdvertisementServiceImpl.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,102 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.impl;
+
+import lombok.RequiredArgsConstructor;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.EmploymentStatus;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.enumerations.JobType;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdDetailsDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdvertisementDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.JobAdvertisement;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.User;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.repositories.JobAdvertisementRepository;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.repositories.UserRepository;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.JobAdvertisementService;
+import org.springframework.stereotype.Service;
+
+import java.time.LocalDate;
+import java.time.LocalDateTime;
+import java.util.List;
+
+@Service
+@RequiredArgsConstructor
+public class JobAdvertisementServiceImpl implements JobAdvertisementService {
+    private final UserRepository userRepository;
+    private final JobAdvertisementRepository jobAdvertisementRepository;
+
+    @Override
+    public JobAdDetailsDTO addJobAdvertisement(JobAdvertisementDTO jobAdvertisementDTO) {
+        User recruiter = userRepository.findByEmail(jobAdvertisementDTO.getEmail()).orElseThrow(() -> new IllegalArgumentException("User not found"));
+        JobAdvertisement jobAdvertisement = new JobAdvertisement(
+                recruiter,
+                jobAdvertisementDTO.getTitle(),
+                jobAdvertisementDTO.getDescription(),
+                jobAdvertisementDTO.getIndustry(),
+                jobAdvertisementDTO.getStartingSalary(),
+                LocalDate.parse(jobAdvertisementDTO.getActiveUntil()),
+                JobType.valueOf(jobAdvertisementDTO.getJobType()),
+                EmploymentStatus.valueOf(jobAdvertisementDTO.getEmploymentStatus())
+                );
+        jobAdvertisementRepository.save(jobAdvertisement);
+        return JobAdvertisement.mapToJobAdDetailsDTO(jobAdvertisement);
+    }
+
+    @Override
+    public JobAdDetailsDTO editJobAdvertisement(Long id, JobAdvertisementDTO jobAdvertisementDTO) {
+        JobAdvertisement jobAdvertisement = jobAdvertisementRepository.findById(id).orElseThrow(() -> new IllegalArgumentException("Job Advertisement not found"));
+        jobAdvertisement.setTitle(jobAdvertisementDTO.getTitle());
+        jobAdvertisement.setDescription(jobAdvertisementDTO.getDescription());
+        jobAdvertisement.setIndustry(jobAdvertisementDTO.getIndustry());
+        jobAdvertisement.setStartingSalary(jobAdvertisementDTO.getStartingSalary());
+        jobAdvertisement.setActiveUntil(LocalDate.parse(jobAdvertisementDTO.getActiveUntil()));
+        jobAdvertisement.setActive(jobAdvertisement.isJobAdActive());
+        jobAdvertisement.setJobType(JobType.valueOf(jobAdvertisementDTO.getJobType()));
+        jobAdvertisement.setEmploymentStatus(EmploymentStatus.valueOf(jobAdvertisementDTO.getEmploymentStatus()));
+        jobAdvertisementRepository.save(jobAdvertisement);
+        return JobAdvertisement.mapToJobAdDetailsDTO(jobAdvertisement);
+    }
+
+    @Override
+    public void deleteJobAdvertisement(Long jobAdvertisementId) {
+        jobAdvertisementRepository.deleteById(jobAdvertisementId);
+    }
+
+    @Override
+    public List<JobAdDetailsDTO> findAllJobAdvertisements() {
+        List<JobAdvertisement> jobAdvertisementList = jobAdvertisementRepository.findAll();
+        jobAdvertisementList.forEach(jobAdvertisement -> {
+            if (!jobAdvertisement.isJobAdActive() && jobAdvertisement.isActive()) {
+                jobAdvertisement.setActive(false);
+                jobAdvertisementRepository.save(jobAdvertisement);
+            } else if (jobAdvertisement.isJobAdActive() && !jobAdvertisement.isActive()) {
+                jobAdvertisement.setActive(true);
+                jobAdvertisementRepository.save(jobAdvertisement);
+            }
+        });
+
+        return jobAdvertisementList.stream()
+                .map(JobAdvertisement::mapToJobAdDetailsDTO)
+                .toList();
+    }
+
+    @Override
+    public List<JobAdDetailsDTO> findAllJobAdvertisementsByRecruiterId(Long recruiterId) {
+        List<JobAdvertisement> jobAdvertisementList = jobAdvertisementRepository.findAllByRecruiterId(recruiterId);
+//        jobAdvertisementList.forEach(jobAdvertisement -> {
+//            if (!jobAdvertisement.isJobAdActive() && jobAdvertisement.isActive()) {
+//                jobAdvertisement.setActive(false);
+//                jobAdvertisementRepository.save(jobAdvertisement);
+//            } else if (jobAdvertisement.isJobAdActive() && !jobAdvertisement.isActive()) {
+//                jobAdvertisement.setActive(true);
+//                jobAdvertisementRepository.save(jobAdvertisement);
+//            }
+//        });
+
+        return jobAdvertisementList.stream()
+                .map(JobAdvertisement::mapToJobAdDetailsDTO)
+                .toList();
+    }
+    @Override
+    public JobAdDetailsDTO findJobAdvertisementById(Long id) {
+        JobAdvertisement jobAdvertisement = jobAdvertisementRepository.findById(id).orElse(null);
+        return JobAdvertisement.mapToJobAdDetailsDTO(jobAdvertisement);
+    }
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/JwtServiceImpl.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/JwtServiceImpl.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/JwtServiceImpl.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -41,8 +41,4 @@
     }
 
-    public String extractUsername(String token) {
-        return extractClaim(token, Claims::getSubject);
-    }
-
     private Claims extractAllClaims(String token) {
         return Jwts.parserBuilder().setSigningKey(getSigninKey()).build().parseClaimsJws(token).getBody();
@@ -54,4 +50,10 @@
     }
 
+    @Override
+    public String extractUsername(String token) {
+        return extractClaim(token, Claims::getSubject);
+    }
+
+    @Override
     public boolean isTokenValid(String token, UserDetails userDetails) {
         final String username = extractUsername(token);
@@ -59,6 +61,6 @@
     }
 
-
-    private boolean isTokenExpired(String token) {
+    @Override
+    public boolean isTokenExpired(String token) {
         return extractClaim(token, Claims::getExpiration).before(new Date());
     }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/RecruiterServiceImpl.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/RecruiterServiceImpl.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/RecruiterServiceImpl.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,22 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.impl;
+
+import lombok.RequiredArgsConstructor;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterDetailsDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.Recruiter;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.mappers.RecruiterMapper;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.repositories.RecruiterRepository;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.RecruiterService;
+import org.springframework.stereotype.Service;
+
+@Service
+@RequiredArgsConstructor
+public class RecruiterServiceImpl implements RecruiterService {
+
+    private final RecruiterRepository recruiterRepository;
+
+    @Override
+    public RecruiterDetailsDTO getRecruiterDetailsById(Long recruiterId) {
+        Recruiter recruiter = recruiterRepository.findById(recruiterId).orElse(null);
+        return RecruiterMapper.mapToRecruiterDetailsDTO(recruiter);
+    }
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/UserServiceImpl.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/UserServiceImpl.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/impl/UserServiceImpl.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -1,64 +1,11 @@
 package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.impl;
 
-import lombok.AllArgsConstructor;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.repositories.JobSeekerRepository;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.repositories.RecruiterRepository;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.repositories.UserRepository;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.JwtService;
-import org.springframework.security.authentication.AuthenticationManager;
-import org.springframework.security.crypto.password.PasswordEncoder;
+import lombok.RequiredArgsConstructor;
 import org.springframework.stereotype.Service;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.UserService;
 
 @Service
-@AllArgsConstructor
+@RequiredArgsConstructor
+public class UserServiceImpl implements UserService {
 
-public class UserServiceImpl  {
-    private final UserRepository userRepository;
-    private final RecruiterRepository recruiterRepository;
-    private final JobSeekerRepository jobSeekerRepository;
-    private final PasswordEncoder passwordEncoder;
-    private final AuthenticationManager authenticationManager;
-    private final JwtService jwtService;
-
-
-//    @Override
-//    public User registerJobSeeker(JobSeeker jobSeeker) {
-//        jobSeeker.setPassword(passwordEncoder.encode(jobSeeker.getPassword()));
-//        return jobSeekerRepository.save(jobSeeker);
-//    }
-//
-//    @Override
-//    public User registerRecruiter(Recruiter recruiter) {
-//        recruiter.setPassword(passwordEncoder.encode(recruiter.getPassword()));
-//        return recruiterRepository.save(recruiter);
-//    }
-//
-//    @Override
-//    public JwtAuthenticationResponse login(JwtAuthenticationRequest jwtAuthenticationRequest) {
-//        authenticationManager.authenticate(new UsernamePasswordAuthenticationToken(jwtAuthenticationRequest.getEmail(), jwtAuthenticationRequest.getPassword()));
-//
-//        var user = userRepository.findByEmail(jwtAuthenticationRequest.getEmail()).orElseThrow(() -> new IllegalArgumentException("Email or password is incorrect"));
-//        var jwt = jwtService.generateToken(user);
-//        var refreshToken = jwtService.generateRefreshToken(new HashMap<>(), user);
-//
-//        JwtAuthenticationResponse jwtAuthenticationResponse = new JwtAuthenticationResponse();
-//        jwtAuthenticationResponse.setToken(jwt);
-//        jwtAuthenticationResponse.setRefreshToken(refreshToken);
-//        return jwtAuthenticationResponse;
-//    }
-//
-//    @Override
-//    public JwtAuthenticationResponse refreshToken(RefreshTokenRequest refreshTokenRequest) {
-//        String userEmail = jwtService.extractUsername(refreshTokenRequest.getToken());
-//        User user = userRepository.findByEmail(userEmail).orElseThrow();
-//        if(jwtService.isTokenValid(refreshTokenRequest.getToken(), user)) {
-//            var jwt = jwtService.generateToken(user);
-//
-//            JwtAuthenticationResponse jwtAuthenticationResponse = new JwtAuthenticationResponse();
-//            jwtAuthenticationResponse.setToken(jwt);
-//            jwtAuthenticationResponse.setRefreshToken(refreshTokenRequest.getToken());
-//            return jwtAuthenticationResponse;
-//        }
-//        return null;
-//    }
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/JobAdvertisementService.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/JobAdvertisementService.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/JobAdvertisementService.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,20 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef;
+
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdDetailsDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdvertisementDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.JobAdvertisement;
+
+import java.util.List;
+import java.util.Optional;
+
+public interface JobAdvertisementService {
+    JobAdDetailsDTO addJobAdvertisement(JobAdvertisementDTO jobAdvertisementDTO);
+    JobAdDetailsDTO editJobAdvertisement(Long id, JobAdvertisementDTO jobAdvertisementDTO);
+    void deleteJobAdvertisement(Long jobAdvertisementId);
+
+    List<JobAdDetailsDTO> findAllJobAdvertisements();
+    List<JobAdDetailsDTO> findAllJobAdvertisementsByRecruiterId(Long recruiterId);
+    JobAdDetailsDTO findJobAdvertisementById(Long id);
+
+
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/JwtService.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/JwtService.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/JwtService.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -6,9 +6,9 @@
 
 public interface JwtService {
-
     String generateToken(UserDetails userDetails);
+    String generateRefreshToken(Map<String, Object> extraClaims, UserDetails userDetails);
     String extractUsername(String token);
     boolean isTokenValid(String token, UserDetails userDetails);
-    String generateRefreshToken(Map<String, Object> extraClaims, UserDetails userDetails);
+    boolean isTokenExpired(String token);
 
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/RecruiterService.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/RecruiterService.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/RecruiterService.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -0,0 +1,8 @@
+package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef;
+
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterDetailsDTO;
+import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.Recruiter;
+
+public interface RecruiterService {
+    RecruiterDetailsDTO getRecruiterDetailsById(Long recruiterId);
+}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/UserService.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/UserService.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/service/intef/UserService.java	(revision 19398adb44637736271a04ab58b1f528cc33908f)
@@ -1,15 +1,7 @@
 package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef;
 
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.SignInDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.JwtAuthResponse;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RefreshTokenRequest;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.JobSeeker;
 import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.Recruiter;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.User;
 
 public interface UserService {
-    User registerJobSeeker(JobSeeker jobSeeker);
-    User registerRecruiter(Recruiter recruiter);
-    JwtAuthResponse login(SignInDTO signInDTO);
-    JwtAuthResponse refreshToken(RefreshTokenRequest refreshTokenRequest);
+
 }
